Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class GraphDefDispatcher.LayoutArgs

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.GraphDefDispatcher.Args
          org.eclipse.gmf.graphdef.codegen.GraphDefDispatcher.LayoutArgs

Enclosing class:
  GraphDefDispatcher

public static class GraphDefDispatcher.LayoutArgs
extends GraphDefDispatcher.Args

Method Summary
`java.lang.String` `getConstraintVariableName()`
`LayoutData` `getData()`
`Layout` `getLayout()`
`java.lang.String` `getManagerVariableName()`

Methods inherited from class org.eclipse.gmf.graphdef.codegen.GraphDefDispatcher.Args
`getDispatcher, getFigure, getVariableName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLayout

    public Layout getLayout()

### getData

    public LayoutData getData()

### getManagerVariableName

    public java.lang.String getManagerVariableName()

### getConstraintVariableName

    public java.lang.String getConstraintVariableName()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.